Updates the parameters of a single security profile.
HTTP request
PATCH https://networksecurity.googleapis.com/v1beta1/{securityProfile.name=projects/*/locations/*/securityProfiles/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
securityProfile.name |
Immutable. Identifier. Name of the |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. Field mask is used to specify the fields to be overwritten in the This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of SecurityProfile.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.